pappso::TracePeak Class Reference

`#include <tracepeak.h>`

## Public Member Functions

| TracePeak ()
| TracePeak (std::vector< DataPoint >::const_iterator it_begin, std::vector< DataPoint >::const_iterator it_end)
| construct a peak given a trace, begin and end x coordinate More...
| TracePeak (const TracePeak &other)
| ~TracePeak ()
TracePeakCstSPtr | makeTracePeakCstSPtr () const
DataPoint & | getMaxXicElement ()
const DataPoint & | getMaxXicElement () const
void | setMaxXicElement (const DataPoint &max)
DataPoint & | getLeftBoundary ()
const DataPoint & | getLeftBoundary () const
void | setLeftBoundary (const DataPoint &left)
DataPoint & | getRightBoundary ()
const DataPoint & | getRightBoundary () const
void | setRightBoundary (const DataPoint &right)
pappso_double | getArea () const
void | setArea (pappso_double area)
bool | containsRt (pappso::pappso_double rt) const
bool | operator== (const TracePeak &other) const
TracePeak & | operator= (const TracePeak &other)

## Protected Attributes

pappso_double | m_area = 0
DataPoint | m_max
DataPoint | m_left
DataPoint | m_right

## Detailed Description

@/brief Xic Peak stores peak boudaries detected from a Xic

Definition at line 39 of file tracepeak.h.

## Constructor & Destructor Documentation

## TracePeak() [1/3]

pappso::TracePeak::TracePeak | ( |  | ) |

Definition at line 31 of file tracepeak.cpp.

{
}

## TracePeak() [2/3]

pappso::TracePeak::TracePeak | ( | std::vector< DataPoint >::const_iterator | it_begin,
|  | std::vector< DataPoint >::const_iterator | it_end
| ) |  |

construct a peak given a trace, begin and end x coordinate

Definition at line 34 of file tracepeak.cpp.

{
m_left = *it_begin;
m_right = *(it_end - 1);
m_max = *maxYDataPoint(it_begin, it_end);
m_area = areaTrace(it_begin, it_end);
}
pappso::TracePeak::m_left
DataPoint m_left
Definition: tracepeak.h:44
pappso::TracePeak::m_max
DataPoint m_max
Definition: tracepeak.h:43
pappso::TracePeak::m_right
DataPoint m_right
Definition: tracepeak.h:45
pappso::TracePeak::m_area
pappso_double m_area
Definition: tracepeak.h:42
pappso::maxYDataPoint
std::vector< DataPoint >::const_iterator maxYDataPoint(std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end)
Definition: trace.cpp:139
pappso::areaTrace
double areaTrace(std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end)
calculate the area of a trace
Definition: trace.cpp:268

References pappso::areaTrace(), m_area, m_left, m_max, m_right, and pappso::maxYDataPoint().

## TracePeak() [3/3]

pappso::TracePeak::TracePeak | ( | const TracePeak & | other | ) |

Definition at line 44 of file tracepeak.cpp.

{
m_area = other.m_area;
m_left = other.m_left;
m_right = other.m_right;
m_max = other.m_max;
}

References m_area, m_left, m_max, and m_right.

## ~TracePeak()

pappso::TracePeak::~TracePeak | ( |  | ) |

Definition at line 52 of file tracepeak.cpp.

{
}

## Member Function Documentation

## containsRt()

bool pappso::TracePeak::containsRt | ( | pappso::pappso_double | rt | ) | const

Definition at line 111 of file tracepeak.cpp.

{
if((rt >= m_left.x) && (rt <= m_right.x))
{
return (true);
}
return (false);
}
pappso::DataPoint::x
pappso_double x
Definition: datapoint.h:22

References m_left, m_right, pappso::rt, and pappso::DataPoint::x.

## getArea()

pappso_double pappso::TracePeak::getArea | ( |  | ) | const

Definition at line 100 of file tracepeak.cpp.

{
return m_area;
};

References m_area.

## getLeftBoundary() [1/2]

DataPoint & pappso::TracePeak::getLeftBoundary | ( |  | ) |

Definition at line 74 of file tracepeak.cpp.

{
return m_left;
};

References m_left.

Referenced by pappso::QCPXic::drawXicPeakBorders().

## getLeftBoundary() [2/2]

const DataPoint& pappso::TracePeak::getLeftBoundary | ( |  | ) | const

inline

Definition at line 69 of file tracepeak.h.

{
return m_left;
};

## getMaxXicElement() [1/2]

DataPoint & pappso::TracePeak::getMaxXicElement | ( |  | ) |

Definition at line 64 of file tracepeak.cpp.

{
return m_max;
};

References m_max.

Referenced by pappso::QCPXic::drawXicPeakBorders().

## getMaxXicElement() [2/2]

const DataPoint& pappso::TracePeak::getMaxXicElement | ( |  | ) | const

inline

Definition at line 61 of file tracepeak.h.

{
return m_max;
};

## getRightBoundary() [1/2]

DataPoint & pappso::TracePeak::getRightBoundary | ( |  | ) |

Definition at line 85 of file tracepeak.cpp.

{
return m_right;
};

References m_right.

Referenced by pappso::QCPXic::drawXicPeakBorders().

## getRightBoundary() [2/2]

const DataPoint & pappso::TracePeak::getRightBoundary | ( |  | ) | const

Definition at line 90 of file tracepeak.cpp.

{
return m_right;
};

References m_right.

## makeTracePeakCstSPtr()

TracePeakCstSPtr pappso::TracePeak::makeTracePeakCstSPtr | ( |  | ) | const

Definition at line 58 of file tracepeak.cpp.

{
return std::make_shared<const TracePeak>(*this);
}

## operator=()

TracePeak& pappso::TracePeak::operator= | ( | const TracePeak & | other | ) |

inline

Definition at line 92 of file tracepeak.h.

{
if(this == &other)
return *this;
m_area = other.m_area;
m_max = other.m_max;
m_left = other.m_left;
m_right = other.m_right;
return *this;
}

References m_area, m_left, m_max, and m_right.

## operator==()

bool pappso::TracePeak::operator== | ( | const TracePeak & | other | ) | const

inline

Definition at line 85 of file tracepeak.h.

{
return ((m_area == other.m_area) && (m_max == other.m_max) &&
(m_left == other.m_left) && (m_right == other.m_right));
};

References m_area, m_left, m_max, and m_right.

## setArea()

void pappso::TracePeak::setArea | ( | pappso_double | area | ) |

Definition at line 105 of file tracepeak.cpp.

{
m_area = area;
};

References m_area.

## setLeftBoundary()

void pappso::TracePeak::setLeftBoundary | ( | const DataPoint & | left | ) |

Definition at line 79 of file tracepeak.cpp.

{
m_left = left;
};

References m_left.

## setMaxXicElement()

void pappso::TracePeak::setMaxXicElement | ( | const DataPoint & | max | ) |

Definition at line 69 of file tracepeak.cpp.

{
m_max = max;
};
pappso::XicExtractMethod::max
@ max
maximum of intensities

References m_max, and pappso::max.

## setRightBoundary()

void pappso::TracePeak::setRightBoundary | ( | const DataPoint & | right | ) |

Definition at line 95 of file tracepeak.cpp.

{
m_right = right;
};

References m_right.

## Member Data Documentation

## m_area

pappso_double pappso::TracePeak::m_area = 0

protected

Definition at line 42 of file tracepeak.h.

Referenced by TracePeak(), getArea(), operator=(), operator==(), and setArea().

## m_left

DataPoint pappso::TracePeak::m_left

protected

Definition at line 44 of file tracepeak.h.

Referenced by TracePeak(), containsRt(), getLeftBoundary(), operator=(), operator==(), and setLeftBoundary().

## m_max

DataPoint pappso::TracePeak::m_max

protected

Definition at line 43 of file tracepeak.h.

Referenced by TracePeak(), getMaxXicElement(), operator=(), operator==(), and setMaxXicElement().

## m_right

DataPoint pappso::TracePeak::m_right

protected

Definition at line 45 of file tracepeak.h.

Referenced by TracePeak(), containsRt(), getRightBoundary(), operator=(), operator==(), and setRightBoundary().

The documentation for this class was generated from the following files:

- pappsomspp/processing/detection/tracepeak.h
- pappsomspp/processing/detection/tracepeak.cpp